import request from '@/utils/request'

// 查询立减金购买记录列表
export function listHisstoreStoreinstantdiscountuser(query) {
  return request({
    url: '/store/store_instant_discount_user/list',
    method: 'get',
    params: query
  })
}

// 查询立减金购买记录详细
export function getHisstoreStoreinstantdiscountuser(id) {
  return request({
    url: '/store/store_instant_discount_user/' + id,
    method: 'get'
  })
}

// 新增立减金购买记录
export function addHisstoreStoreinstantdiscountuser(data) {
  return request({
    url: '/store/store_instant_discount_user',
    method: 'post',
    data: data
  })
}

// 修改立减金购买记录
export function updateHisstoreStoreinstantdiscountuser(data) {
  return request({
    url: '/store/store_instant_discount_user',
    method: 'put',
    data: data
  })
}

// 删除立减金购买记录
export function delHisstoreStoreinstantdiscountuser(id) {
  return request({
    url: '/store/store_instant_discount_user/' + id,
    method: 'delete'
  })
}

// 导出立减金购买记录
export function exportHisstoreStoreinstantdiscountuser(query) {
  return request({
    url: '/store/store_instant_discount_user/export',
    method: 'post',
    params: query
  })
}
